ru.bitel.bgbilling.modules.enaza.server.bean.event

## Class GetChargeTypeEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.enaza.server.bean.event.GetChargeTypeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GetChargeTypeEvent
      extends LocalEvent

  Синхронное событие - получения типа платежа.
  Событие генерируется перед оплатой. Можно изменить тип платежа, а также отменить занесение прихода или сам платеж.
  Унаследован от `LocalEvent`
  Author:
    boris
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetChargeTypeEvent(int moduleId, int contractId, int userId, int productId, java.math.BigDecimal amount, int chargeType)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAmount()` Возвращает стоимость продукта.
    `int` | `getChargeType()` Возвращает тип платежа.
    `int` | `getProductId()` Возвращает id продукта.
    `boolean` | `isLock()` Возвращает статус блокировки транзакции.
    `void` | `setAmount(java.math.BigDecimal amount)` Устанавливает стоимость продукта.
    `void` | `setChargeType(int chargeType)` Устанавливает тип платежа.
    `void` | `setLock(boolean lock)` Устанавливает блокировку транзакции.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetChargeTypeEvent

          public GetChargeTypeEvent(int moduleId,
                                    int contractId,
                                    int userId,
                                    int productId,
                                    java.math.BigDecimal amount,
                                    int chargeType)

      Конструктор события.
      Parameters:
        `moduleId` - - код модуля
        `contractId` - - код договора
        `userId` - - id пользователя, сгенерировавшего событие
        `productId` - - код продукта
        `amount` - - стоимость продукта
        `chargeType` - - тип платежа

  - ### Method Detail

    - #### getProductId

          public int getProductId()

      Возвращает id продукта.
      Returns:
        productId - код продукта

    - #### getAmount

          public java.math.BigDecimal getAmount()

      Возвращает стоимость продукта.
      Returns:
        amount - стоимость

    - #### setAmount

          public void setAmount(java.math.BigDecimal amount)

      Устанавливает стоимость продукта.
      Parameters:
        `amount` - - стоимость

    - #### getChargeType

          public int getChargeType()

      Возвращает тип платежа.
      Returns:
        chargeType - тип платежа

    - #### setChargeType

          public void setChargeType(int chargeType)

      Устанавливает тип платежа.
      Parameters:
        `chargeType` - - тип платежа

    - #### isLock

          public boolean isLock()

      Возвращает статус блокировки транзакции.
      Returns:
        lock - статус блокировки

    - #### setLock

          public void setLock(boolean lock)

      Устанавливает блокировку транзакции.
      Parameters:
        `lock` - - статус блокировки